<template>
	<div v-if="!isValid" class="alert alert-danger" role="alert"> 
		<div v-for="error in errors">
			<span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
			<span class="sr-only">Error:</span>
			{{ error  }}
		</div>
	</div>
</template>

<script>

export default {
	props: ['input', 'validation'],
//	props: {
//		input: {
//			type: String,
//			required: true
//		},
//
//		validation: {
//			type: Object,
//			required: true
//		}
//	},
	data: function(){
		return {
			isValid: true,
			errors: []
		}
	}, 
	watch: {
		validation: {
		    handler: function (val, oldVal) {
		    	if (typeof val[this.input] == "undefined" || !(val[this.input] instanceof Array)){
					this.isValid = true;
					this.errors = [];
		    	} else {
					this.isValid = false;	
					this.errors = val[this.input];
		    	}
		    }
		}
	},
	ready: function () {


	}
}
</script>
